Skip to main content
POST
/
api
/
agents
/
{id}
/
improve-instructions
Improve agent instructions
curl --request POST \
  --url https://api.agentixx.io/api/agents/{id}/improve-instructions \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <api-key>' \
  --cookie better-auth.session_token= \
  --data '
{
  "currentInstructions": "Answer customer questions.",
  "tone": "professional"
}
'
{
  "instructions": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-tenant-id
string
header
required

Tenant/workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Body

application/json

Use AI to improve agent instructions

currentInstructions
string
required
Minimum string length: 1
role
string
tone
string
answerLength
string

Response

Improved instructions

instructions
string
required